Subject: Offical Guide - Tractors and Farm Equipment

From: [email-masked] (Jeffrey C Honig)
Date: 13 Aug 93 13:38:10

A couple of people have asked me about the "Official Guide" I
mentioned in an earlier note.  It is published by NAEDA (North
American Equipment Dealers Association) twice a year (Spring and
Fall).  It has specs, serial numbers, serial number locations,
Nebraska tractor test summaries and average prices on just about all
tractors from the 8N to the present.  It also has alot of information
about other Farm equipment.

The cost is $49 each, or $80.90 annually, plush shipping and taxes.  I
got my copy from the Ag library here at Cornell.

I won't list the 20 or so state and regional associations listed to
obtain it from, just the national one.  I'm sure they can refer you:

	NAEDA
	10877 Watson Road
	St Louis, MO  63127-1081
	314/821-7220

Jeff